<div class="modal-container">
<form [formGroup]="form" (ngSubmit)="onSubmitComment()">
    <textarea class="comment-textarea" formControlName="body" required></textarea>
    <div *ngIf="body?.invalid && (body?.dirty || body?.touched)">
      <div *ngIf="body?.errors?.['required']" class="invalid-feedback">
          Comment is required.
        </div>
        <div *ngIf="body?.errors?.['pattern']" class="invalid-feedback">
          Comment should contain only lowercase letters, Latin letters, numbers, special characters
        </div>
        </div>
    <button type="submit" class="btn-add">
    Add
    </button>
    <button type="button" class="comment-cancel-btn"
    (click)="modalTaskService.isModalOpenComments=false">
        Cancel
    </button>
  </form> 
</div>